Skip to main content

Delete Transaction

You may delete a transaction that is still in SCHEDULED or PENDING status.
Once deleted, the transaction is permanently removed and cannot be restored.


Resource Access

Production (api.ahrvo.network)

DELETE https://api.ahrvo.network/banking/us2/v1/transaction/id/{transactionId}

Staging (gateway.ahrvo.network)

DELETE https://gateway.ahrvo.network/banking/us2/v1/transaction/id/{transactionId}

Sample Request — Delete by id
DELETE /banking/us2/v1/transaction/id/2 HTTP/1.1
Host: {placeholder('hostname')}
Authorization: Bearer {placeholder('JWT token')}
x-api-key: {apiKey}
Content-Type: application/json

Sample Request — Delete by externalId
DELETE /banking/us2/v1/transaction/externalId/EID1881142194636620344 HTTP/1.1
Host: {placeholder('hostname')}
Authorization: Bearer {placeholder('JWT token')}
Content-Type: application/json

Sample Response
HTTP/1.1 200 OK